#include <iostream>

using namespace std;

int main()
{
    long long int n, m, k, resenje = 0;

    cin >> n >> m;
    long long int a[10010];

    for(long long int i = 0; i < n; i++)
    {
        cin >> k;
        if(k >= m)
            continue;
        else
        {
            for(long long int j = 0; j < k; j++)
                a[j]++;
        }
    }

    for(long long int j = 0; j < m; j++)
        resenje += a[j]*(n - a[j]);

    cout << resenje;
    return 0;
}